@extends ('layouts.patient')

<?php $infoLines = json_decode($patient->info_lines);?>
<?php $infoLines = !$infoLines ? [] : $infoLines; ?>

@section('inner-content')
    <div class="">
        <div class="d-flex align-items-center" moe>
            <h4 class="mr-3 mb-3 font-weight-normal">Care Team</h4>
            <a start show class="btn btn-sm btn-primary py-0 mb-3">+ Add</a>
            <form url="/api/clientInfoLine/create">
                <input type="hidden" name="clientUid" value="{{ $patient->uid }}">
                <input type="hidden" name="category" value="care_team">
                <div class="mb-2"><input type="text" class="form-control form-control-sm" name="contentText" value="" placeholder="Name"></div>
                <div class="mb-2"><input type="text" class="form-control form-control-sm" name="Specialty" value="" placeholder="Specialty"></div>
                <div class="mb-2"><input type="text" class="form-control form-control-sm" name="Organization" value="" placeholder="Organization"></div>
                <div class="mb-2"><input type="text" class="form-control form-control-sm" name="Phone" value="" placeholder="Phone"></div>
                <div class="mb-2"><input type="text" class="form-control form-control-sm" name="Fax" value="" placeholder="Fax"></div>
                <div class="mb-2"><input type="date" class="form-control form-control-sm" name="Next Appointment" value="" placeholder="Next Appointment"></div>
                <div class="mb-2"><input type="text" class="form-control form-control-sm" name="Memo" value="" placeholder="Memo"></div>
                <div class="d-flex align-items-center">
                    <button class="btn btn-sm btn-primary mr-2" submit>Save</button>
                    <button class="btn btn-sm btn-default mr-2 border" cancel>Cancel</button>
                </div>
            </form>
        </div>
        <table class="table table-striped table-sm table-bordered">
            <thead>
            <tr>
                {{--<th class="px-2 text-secondary">Category</th>--}}
                <th class="px-2 text-secondary">Name</th>
                <th class="px-2 text-secondary">Specialty</th>
                <th class="px-2 text-secondary">Organization</th>
                <th class="px-2 text-secondary">Phone</th>
                <th class="px-2 text-secondary">Fax</th>
                <th class="px-2 text-secondary">Next Appointment</th>
                <th class="px-2 text-secondary">Memo</th>
                <th class="px-2 text-secondary delete-column">&nbsp;</th>
            </tr>
            </thead>
            <tbody>
            @foreach($infoLines as $category => $lines)
                @if($category === "care_team")
                    @foreach ($lines as $line)
                        <tr>
                            {{--<td class="px-2">{{$category}}</td>--}}
                            <td class="px-2">{{$line->contentText}}</td>
                            <td class="px-2">{{ $line->contentDetail->{"Specialty"} }}</td>
                            <td class="px-2">{{ $line->contentDetail->{"Organization"} }}</td>
                            <td class="px-2">{{ $line->contentDetail->{"Phone"} }}</td>
                            <td class="px-2">{{ $line->contentDetail->{"Fax"} }}</td>
                            <td class="px-2">{{ $line->contentDetail->{"Next Appointment"} }}</td>
                            <td class="px-2">{{ $line->contentDetail->{"Memo"} }}</td>
                            <td class="px-2 text-center delete-column">
                                <div moe relative>
                                    <a start show><i class="fa fa-trash text-danger"></i></a>
                                    <form url="/api/clientInfoLine/remove" right>
                                        <input type="hidden" name="uid" value="{{ $line->uid }}">
                                        <p class="small">Are you sure you want to delete this entry?</p>
                                        <div class="d-flex align-items-center">
                                            <button class="btn btn-sm btn-danger mr-2" submit>Delete</button>
                                            <button class="btn btn-sm btn-default mr-2 border" cancel>Cancel</button>
                                        </div>
                                    </form>
                                </div>
                            </td>
                        </tr>
                    @endforeach
                @endif
            @endforeach
            </tbody>
        </table>
    </div>
@endsection
