@extends ('layouts.patient')


@section('section-title')
Notes
@endsection

@section('inner-content')
@foreach ($patient->notes as $note)
<div class="card mb-2">
    <div class="card-header">
        {{$note->title}}
        <span moe>
            <a href="" show start><i class="fa fa-edit"></i></a>
            <form url="/api/note/putTitle">
                <input type="hidden" name="uid" value="{{$note->uid}}">
                <div class="form-group">
                    <label for="" class="control-label">Title</label>
                    <input type="text" name="title" value="{{$note->title}}" class="form-control">
                </div>
                <div class="form-group">
                    <button class="btn btn-primary btn-sm" submit>Submit</button>
                    <button class="btn btn-danger btn-sm" cancel>Cancel</button>
                </div>
            </form>
        </span>
        | {{$note->effective_dateest}}
        <span moe>
            <a href="" show start><i class="fa fa-calendar"></i></a>
            <form url="/api/note/putEffectiveDateEST">
                <input type="hidden" name="uid" value="{{$note->uid}}">
                <div class="form-group">
                    <label for="" class="control-label">Effective date EST </label>
                    <input type="date" name="effectiveDateEST" value="{{$note->effectiveTime}}" class="form-control">
                </div>
                <div class="form-group">
                    <button class="btn btn-primary btn-sm" submit>Submit</button>
                    <button class="btn btn-danger btn-sm" cancel>Cancel</button>
                </div>
            </form>
        </span>
        <span moe>
            <a href="" show start><i class="fa fa-clock"></i></a>
            <form url="/api/note/putEffectiveTime">
                <input type="hidden" name="uid" value="{{$note->uid}}">
                <div class="form-group">
                    <label for="" class="control-label">Effective time </label>
                    <input type="time" name="effectiveTime" value="" class="form-control">
                </div>
                <div class="form-group">
                    <button class="btn btn-primary btn-sm" submit>Submit</button>
                    <button class="btn btn-danger btn-sm" cancel>Cancel</button>
                </div>
            </form>
        </span>
        | HCP: {{$note->hcpPro->name_display}}
        <div moe>
            <a href="" show start><i class="fa fa-edit"></i></a>
            <form url="/api/note/putHcp">
                <input type="hidden" name="uid" value="{{$note->uid}}">
                <div class="form-group">
                    <label for="" class="control-label">Ally Pro</label>
                    <select name="hcpProUid" class="form-control">
                        <option value="">-- select hcp pro --</option>
                        @foreach ($pros as $pro)
                        <option value="{{$pro->uid}}">{{$pro->name_display}}</option>
                        @endforeach
                    </select>
                </div>
                <div class="form-group">
                    <button class="btn btn-primary btn-sm" submit>Submit</button>
                    <button class="btn btn-danger btn-sm" cancel>Cancel</button>
                </div>
            </form>
        </div>
        | Ally: {{$note->allyPro->name_display}}
        <div moe>
            <a href="" show start><i class="fa fa-edit"></i></a>
            <form url="/api/note/putAlly">
                <input type="hidden" name="uid" value="{{$note->uid}}">
                <div class="form-group">
                    <label for="" class="control-label">Ally Pro</label>
                    <select name="allyProUid" class="form-control">
                        <option value="">-- select ally pro --</option>
                        @foreach ($pros as $pro)
                        <option value="{{$pro->uid}}">{{$pro->name_display}}</option>
                        @endforeach
                    </select>
                </div>
                <div class="form-group">
                    <button class="btn btn-primary btn-sm" submit>Submit</button>
                    <button class="btn btn-danger btn-sm" cancel>Cancel</button>
                </div>
            </form>
        </div>
    </div>
    <div class="card-body">
        <div>

            <div class="mt-2">
                <div>
                    {!! $note->free_text_html !!}
                </div>
            </div>

            @if($note->bills->count())
            <div class="mt-2">
                <table class="table table-sm tabe-striped">
                    <thead>
                        <tr>
                            <th>Bill service type</th>
                            <th>Code</th>
                            <th></th>
                        </tr>
                    </thead>
                    <tbody>
                        @foreach ($note->bills as $bill)
                        <tr>
                            <td>{{$bill->bill_service_type}}</td>
                            <td>{{$bill->code}}</td>
                            <td></td>
                        </tr>
                        @endforeach
                    </tbody>
                </table>
            </div>
            @endif
        </div>
    </div>
    <div class="card-footer">
        <div moe>
            <a class="btn btn-outline-primary btn-sm" href="" show start>Sign as HCP</a>
            <form url="/api/note/signAsHcp">
                <input type="hidden" name="uid" value="{{$note->uid}}">
                <div class="form-group">
                    <button class="btn btn-primary btn-sm" submit>Submit</button>
                    <button class="btn btn-danger btn-sm" cancel>Cancel</button>
                </div>
            </form>
        </div>
        <div moe>
            <a class="btn  btn-outline-primary btn-sm" href="" show start>Sign as Ally</a>
            <form url="/api/note/signAsAlly">
                <input type="hidden" name="uid" value="{{$note->uid}}">
                <div class="form-group">
                    <button class="btn btn-primary btn-sm" submit>Submit</button>
                    <button class="btn btn-danger btn-sm" cancel>Cancel</button>
                </div>
            </form>
        </div>
        <div moe>
            <a class="btn  btn-outline-primary btn-sm" href="" show start>Create Bill</a>
            <form url="/api/bill/createForNote">
                <input type="hidden" name="noteUid" value="{{$note->uid}}">
                <div class="row">
                    <div class="col-md-6">
                        <div class="form-group">
                            <label for="" class="control-label">effective date</label>
                            <input type="date" name="effectiveDate" class="form-control">
                        </div>
                        <div class="form-group">
                            <label for="" class="control-label">code</label>
                            <input type="text" name="code" class="form-control">
                        </div>
                        <div class="form-group">
                            <label for="" class="control-label">reason 1</label>
                            <input type="text" name="reason1" class="form-control">
                        </div>
                        <div class="form-group">
                            <label for="" class="control-label">reason 2</label>
                            <input type="text" name="reason2" class="form-control">
                        </div>
                    </div>
                    <div class="col-md-6">
                        <div class="form-group">
                            <label for="" class="control-label">Service location</label>
                            <input type="text" name="serviceLocation" class="form-control">
                        </div>
                        <div class="form-group">
                            <label for="" class="control-label">Modifier</label>
                            <input type="text" name="modifier" class="form-control">
                        </div>
                        <div class="form-group">
                            <label for="" class="control-label">Number of units</label>
                            <input type="number" name="numberOfUnits" class="form-control">
                        </div>
                    </div>
                    <div class="col-md-12">
                        <div class="form-group">
                            <button class="btn btn-primary btn-sm" submit>Submit</button>
                            <button class="btn btn-danger btn-sm" cancel>Cancel</button>
                        </div>
                    </div>
                </div>

            </form>
        </div>
    </div>
</div>
@endforeach
@endsection